Skip to main content
GET
/
workspaces
/
{workspace_id}
/
cases
/
{case_id}
/
attachments
/
{attachment_id}
Error
A valid request URL is required to generate request examples
{
  "download_url": "<string>",
  "file_name": "<string>",
  "content_type": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

case_id
string<uuid>
required
attachment_id
string<uuid>
required
workspace_id
string<uuid>
required

Query Parameters

preview
boolean
default:false

If true, allows inline preview for safe image types

Response

Successful Response

Model for attachment download URL response.

download_url
string
required

Pre-signed download URL

file_name
string
required

Original filename

content_type
string
required

MIME type of the file